petsc-3.4.2 2013-07-02

# MatLUFactorNumeric

Performs numeric LU factorization of a matrix. Call this routine after first calling MatLUFactorSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatLUFactorNumeric(Mat fact,Mat mat,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor()
| mat | - the matrix
| info | - options for factorization

### Notes

See MatLUFactor() for in-place factorization. See MatCholeskyFactorNumeric() for the symmetric, positive definite case.

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactorSymbolic(), MatLUFactor(), MatCholeskyFactor()

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages